package org.netkernel.client.http.representation;

import org.netkernel.layer0.representation.ByteArrayRepresentation;
import org.netkernel.layer0.representation.IReadableBinaryStreamRepresentation;

import java.io.IOException;
import java.io.InputStream;
import java.io.OutputStream;

public class HttpCacheRepresentation implements IReadableBinaryStreamRepresentation
{	/*
	sCString *          key,
    PRBool               streamBased,
    nsCacheStoragePolicy storagePolicy)
    : mKey(key),
    mFetchCount(0),
    mLastFetched(0),
    mLastModified(0),
    mExpirationTime(NO_EXPIRATION_TIME),
    mFlags(0),
    mDataSize(0),
    mCacheDevice(nsnull),
    mData(nsnull)
    */
	private String mTag;
	private String mMimeType;
	private long mExpiration;
	private ByteArrayRepresentation mRep;
	
	public HttpCacheRepresentation(String aTag, String aMimeType, long aExpiration, ByteArrayRepresentation aRep)
	{	mTag=aTag;
		mMimeType=aMimeType;
		mExpiration=aExpiration;
		mRep=aRep;
	}
	
   	public String getMimeType()
	{	return mMimeType;
	}

	public int getContentLength()
	{	return mRep.getContentLength();
	}

	public InputStream getInputStream() throws IOException
	{	return mRep.getInputStream();
	}

	public String getEncoding()
	{	return mRep.getEncoding();
	}

	public void write(OutputStream stream) throws IOException
	{	mRep.write(stream);	
	}

	public String getTag()
	{	return mTag;
	}

}